
#ifndef MP1246_h
#define MP1246_h

#include "Arduino.h"

//===========================================================
#define   MP1246_ADDRESS       0x43   
//===========================================================
#define   MP1246_BAND_1_BASE   0x80
#define   MP1246_BAND_2_BASE   0x90
#define   MP1246_BAND_3_BASE   0xA0
#define   MP1246_BAND_4_BASE   0xB0
#define   MP1246_BAND_5_BASE   0xC0
//===========================================================
#define   CUT_BOOST            1<<3


class MP1246
{
  public:
    MP1246 ();
    static void Init ();
    static void SetVolume (byte Volume);
    static void SetBand (byte Band, byte Value);
    static byte GetVolume ();
    static byte GetBandValue (byte Band);
        
  private:
    static void Write (byte Value);
    
};

extern MP1246 MP1246_EQUALIZER;

#endif
 

